Переполнение буфера в QuarkXPress

Дата публикации:
12.07.2007
Всего просмотров:
771
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
QuarkXPress 5.x
QuarkXPress 4.x
QuarkXPress 6.x
QuarkXPress 7.x
Уязвимые версии: QuarkXPress 7.2 и более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных при обработке имен шрифтов в расширении MSWord text-import. Удаленный пользователь может с помощью слишком длинного имени шрифта (более 256 байт) вызвать переполнение стека и выполнить произвольный код на целевой системе. Эксплуатация уязвимости возможна, когда пользователь импортирует текст из злонамеренного документа MSWord, используя, например, утилиту "Rectangle Text Box".

URL производителя: www.quark.com/products/xpress/

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA